Subject: Re: [sipcore] New deal [ was draft-ietf-sipcore-reinvite-04: glare and UPDATE without SDP] - IDEA #1

From: Christer Holmberg <[email-masked]>
Date: Thu, 27 May 2010 18:52:22 +0200

Hi,

>>IDEA #1:  Offer/answer: Usage of SDP o= version parameter
>>
>>I know this has been discussed at some point, but what is
>>the reason we can't use the SDP o= version parameter to
>>determine in which order the UAS has sent SDPs?
>>
>>I believe it would solve offer/answer glare situations where
>>the UAC does not known in which order the UAS has sent SDPs.
>>
>>That should not be controversial, and does not break any RFC
>>etc.

       A                                                                  B
       |                                                                    |
     s0|re-INV (offer1)                                           |s0
       |-------------------------------------------->|
       |                                          18x-rel(answer1)|
       |<--------------------------------------------|
     s1|                                                      non-2xx|s1
       |                                                 /------------|<-+
       |                                                 /  ACK        |s0|
       |                                               /   ---------->|    |
       |                                            /    UPD(offer2)|    |
       |<==================/===========|    |
       |2xx(answer2)                    /                           |    |
       |=================/============>|    |
     s2|                                   /                               |s2|
       |<---------------------/                                  |<-+
     s0|ACK                                                           |
       |----------->                                                  |
       |                                                                     |

>At least in the above case, o-version seems to be useless for
>determining the order. I think the o-version of offer2 should
>be the one of answer1 +1.

Yes.

>Even if the UPDATE has the pre-re-INVITE o-version, UA A might
>be confused by the decrement.

I am not sure I understand. The version value shall not be decremented. In my understanding the value is only with respect to the previous SDP - you can not use it to switch back to some "old" SDP.

So, even if the UPDATE contains the pre-re-INVITE SDP, the value shall be answer1 + 1 + 1, because it is a new SDP compared to the previously sent SDP (in the 18x)

Regards,

Christer